SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001320: when creating ipsec vpn's, pluto crashs restarts ..... - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001320Endian FirewallNetwork related (VPN, uplinks)public2008-09-10 22:322010-05-26 17:11
Reporterjvodan 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc2 
Target Version2.4Fixed in Version 
Summary0001320: when creating ipsec vpn's, pluto crashs restarts .....
DescriptionThe problem is despite the settings entered for ike settings, all settings are set in the config file.
 It appears that all settings set (which I do want) cause a buffer flow type error.
Pluto continually starts and crashs.
 Manually editing the ike= line /etc/ipsec/ipsec.conf to a limited set of options fixes the problem

Note the browser used in firefox, (incase js problem)
TagsNo tags attached.
Attached Files

- Relationships
child of 0001935confirmedpeter-endian issues to fix with ipsec (openswan) 

-  Notes
(0001606)
peter-endian (administrator)
2008-09-11 09:40

this should be fixed in 2.2-rc3. please check as soon as we release
(0003307)
jzdrzalek (reporter)
2009-11-17 14:48

hi Peter,

same error in commercial 2.3-0 (Deployset #0)
if ike/esp manually commented out, pluto starts, if not it crashes.

We tested with roadwarrior + psk.

Please give some priority to this, as our paying customer really needs ipsec.

thank you
jaroslaw

- Issue History
Date Modified Username Field Change
2008-09-10 22:32 jvodan New Issue
2008-09-10 22:32 jvodan Assigned To => peter-endian
2008-09-11 09:40 peter-endian Note Added: 0001606
2008-09-11 09:40 peter-endian Status new => acknowledged
2009-06-10 13:09 peter-endian Relationship added child of 0001935
2009-11-17 14:48 jzdrzalek Note Added: 0003307
2009-11-25 17:51 peter-endian Target Version => 3.0
2010-05-26 17:11 christian-endian Status acknowledged => closed
2010-05-26 17:11 christian-endian Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker